Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI.ComponentHandler

    java.lang.Object
      |
      +--java.awt.event.ComponentAdapter
            |
            +--javax.swing.plaf.basic.BasicSliderUI.ComponentHandler

All Implemented Interfaces:
  ComponentListener, EventListener

Enclosing class:
  BasicSliderUI

public class BasicSliderUI.ComponentHandler
extends ComponentAdapter

Listener for resizing events.

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Constructor Summary
`BasicSliderUI.ComponentHandler()`

Method Summary
`void` | `componentResized(ComponentEvent e)` Invoked when the component's size changes.

Methods inherited from class java.awt.event.ComponentAdapter
`componentHidden, componentMoved, componentShown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSliderUI.ComponentHandler

    public BasicSliderUI.ComponentHandler()

Method Detail

### componentResized

    public void componentResized(ComponentEvent e)

  Description copied from class: `ComponentAdapter`
  Invoked when the component's size changes.

  Specified by:
    `componentResized` in interface `ComponentListener`
  Overrides:
    `componentResized` in class `ComponentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.